<template>
  <div id="app">
    <button
      @click="toggleEditMode"
      :class="['edit-button', isEditMode && 'edit-button--active']"
    >
      Edit layout
    </button>

    <div
      class="drag-container"
      @dragover.prevent
    >
      <DragCard :is-edit-mode="isEditMode" />
    </div>
  </div>
</template>

<script>
import DragCard from './components/DragCard.vue';

export default {
  name: 'App',
  components: {
    DragCard,
  },
  data () {
    return {
      isEditMode: false,
    };
  },
  methods: {
    toggleEditMode () {
      this.isEditMode = !this.isEditMode;
    },
  },
}
</script>

<style>
html,
body {
  margin: 0;
  padding: 0;
  height: 100%;
}

#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: #2c3e50;
  margin-top: 1rem;
  height: 100%;
}

.drag-container {
  position: relative;
  border-top: 1px solid rgba(0, 0, 0, 0.12);
  padding: 2rem;
  height: 100%;
  margin-top: 1rem;
}

.edit-button {
  color: rebeccapurple;
  display: block;
  margin-left: auto;
  font-weight: 600;
  background: white;
  border: none;
  padding: 0.5rem 1rem;
  border-radius: 0.5rem;
  text-transform: uppercase;
}

.edit-button--active {
  background-color: rgba(240, 0, 240, 0.1);
}
</style>
